package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.Instant;

public class DeviceMqSendUpdateConfigDto {
   @ApiModelProperty("是否需要更新   1更新  2不更新")
   private Integer needupdate;
   @ApiModelProperty("消息生成时间")
   private Long time;

   public Long getTime() {
      return Instant.now().toEpochMilli();
   }

   public Integer getNeedupdate() {
      return this.needupdate;
   }

   public DeviceMqSendUpdateConfigDto setNeedupdate(final Integer needupdate) {
      this.needupdate = needupdate;
      return this;
   }

   public DeviceMqSendUpdateConfigDto setTime(final Long time) {
      this.time = time;
      return this;
   }

}
